Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Class KeyGenerationParameters

    java.lang.Object
      org.bouncycastle.crypto.KeyGenerationParameters

Direct Known Subclasses:
  CMCEKeyGenerationParameters, CramerShoupKeyGenerationParameters, DHKeyGenerationParameters, DilithiumKeyGenerationParameters, DSAKeyGenerationParameters, ECCSIKeyGenerationParameters, ECKeyGenerationParameters, Ed25519KeyGenerationParameters, Ed448KeyGenerationParameters, ElGamalKeyGenerationParameters, FalconKeyGenerationParameters, FrodoKeyGenerationParameters, GOST3410KeyGenerationParameters, HQCKeyGenerationParameters, MayoKeyGenerationParameters, MLDSAKeyGenerationParameters, MLDSAKeyGenerationParameters, MLKEMKeyGenerationParameters, MLKEMKeyGenerationParameters, NaccacheSternKeyGenerationParameters, NTRUKeyGenerationParameters, NTRULPRimeKeyGenerationParameters, NTRUPlusKeyGenerationParameters, RSAKeyGenerationParameters, SABERKeyGenerationParameters, SLHDSAKeyGenerationParameters, SLHDSAKeyGenerationParameters, SnovaKeyGenerationParameters, SNTRUPrimeKeyGenerationParameters, SPHINCS256KeyGenerationParameters, X25519KeyGenerationParameters, X448KeyGenerationParameters, XWingKeyGenerationParameters

public class KeyGenerationParameters
extends java.lang.Object

The base class for parameters to key generators.

Constructor Summary
`KeyGenerationParameters(java.security.SecureRandom random, int strength)` initialise the generator with a source of randomness and a strength (in bits).

Method Summary
`java.security.SecureRandom` | `getRandom()` return the random source associated with this generator.
`int` | `getStrength()` return the bit strength for keys produced by this generator,

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyGenerationParameters

    public KeyGenerationParameters(java.security.SecureRandom random,
                                   int strength)

  initialise the generator with a source of randomness and a strength (in bits).

Parameters:
  `random` - the random byte source.
  `strength` - the size, in bits, of the keys we want to produce.

Method Detail

### getRandom

    public java.security.SecureRandom getRandom()

  return the random source associated with this generator.

  Returns:
    the generators random source.

### getStrength

    public int getStrength()

  return the bit strength for keys produced by this generator,

  Returns:
    the strength of the keys this generator produces (in bits).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD